> ## Documentation Index
> Fetch the complete documentation index at: https://inference-docs.cerebras.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve endpoint status

<Callout icon="lock" color="#b2b1b1ff" iconType="regular">
  This feature is in [Private Preview](/support/preview-releases). For access or more information, [contact us](https://www.cerebras.ai/contact) or reach out to your account representative.
</Callout>

Describes the status of an endpoint, including deployment status and active model versions.


## OpenAPI

````yaml get /management/v1/endpoints/{endpoint_id}
openapi: 3.1.0
info:
  title: Endpoint Management Orchestrator API
  version: 1.0.0
servers:
  - url: https://api.cerebras.ai
security:
  - BearerAuth: []
paths:
  /management/v1/endpoints/{endpoint_id}:
    get:
      summary: Retrieve endpoint status
      operationId: get_endpoint_status_route_management_v1_endpoints__endpoint_id__get
      parameters:
        - name: endpoint_id
          in: path
          required: true
          schema:
            type: string
            title: Endpoint Id
            description: >-
              Unique identifier for the endpoint. It is used as the
              [`model`](https://inference-docs.cerebras.ai/api-reference/chat-completions#param-model)
              field when making an inference request.


              Example: `my-org-gpt-oss-120b`


              ```bash

              curl --location 'https://api.cerebras.ai/v1/chat/completions' \

              --header 'Content-Type: application/json' \

              --header "Authorization: Bearer ${CEREBRAS_API_KEY}" \

              --data '{
                "model": "my-org-gpt-oss-120b",
                "messages": [{"content": "Hello!", "role": "user"}]
              }'

              ```
          description: >-
            Unique identifier for the endpoint. It is used as the
            [`model`](https://inference-docs.cerebras.ai/api-reference/chat-completions#param-model)
            field when making an inference request.


            Example: `my-org-gpt-oss-120b`


            ```bash

            curl --location 'https://api.cerebras.ai/v1/chat/completions' \

            --header 'Content-Type: application/json' \

            --header "Authorization: Bearer ${CEREBRAS_API_KEY}" \

            --data '{
              "model": "my-org-gpt-oss-120b",
              "messages": [{"content": "Hello!", "role": "user"}]
            }'

            ```
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EndpointStatusResponse'
              example:
                name: my-org-gpt-oss-120b
                model_arch_id: gpt-oss-120b
                deployed_models:
                  - id: 550e8400-e29b-41d4-a716-446655440000
                    model: orgs/my-org/models/gpt-oss-120b/versions/1
                    version_alias: production-jan-12-2026-finetuned
                    created: 1736700000
                    state: complete
                managing_org_name: my-org
                created: 1736600000
                updated: 1736700000
components:
  schemas:
    EndpointStatusResponse:
      properties:
        name:
          type: string
          title: Name
          description: Endpoint name (e.g. `my-org-gpt-oss-120b`).
        model_arch_id:
          type: string
          title: Model Arch Id
          description: Name of the model architecture (e.g. `llama3.1-8b`, `gpt-oss-120b`).
        deployed_models:
          items:
            $ref: '#/components/schemas/DeployedModel'
          type: array
          title: Deployed Models
          description: List of deployed models.
        managing_org_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Managing Org Name
          description: Organization that has management access to this endpoint.
        created:
          type: integer
          title: Created
          description: Unix timestamp (in seconds) when the endpoint was created.
        updated:
          type: integer
          title: Updated
          description: Unix timestamp (in seconds) when the endpoint was last updated.
      additionalProperties: false
      type: object
      required:
        - name
        - model_arch_id
        - deployed_models
        - created
        - updated
      title: EndpointStatusResponse
    DeployedModel:
      properties:
        id:
          type: string
          title: Id
          description: >-
            Deployment ID corresponding to this instance of deployed model. This
            is the UUID generated during deployment.
        model:
          type: string
          title: Model
          description: >-
            Model Version ID in the format of
            `orgs/<org_name>/models/<model_arch_id>/versions/<version_id>`.
        version_alias:
          anyOf:
            - type: string
            - type: 'null'
          title: Version Alias
          description: >-
            Original version reference from deploy request (alias or integer
            version ID as specified by user).
        created:
          type: integer
          title: Created
          description: Unix timestamp (in seconds) when the deployment was created.
        state:
          allOf:
            - $ref: '#/components/schemas/DeploymentRolloutStatus'
          description: Rollout status reported for the deployment.
        max_unavailable_replicas:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Unavailable Replicas
          description: Maximum number of replicas that can be unavailable during rollout.
        rollout_replicas_updated:
          anyOf:
            - type: integer
            - type: 'null'
          title: Rollout Replicas Updated
          description: Number of replicas that have been updated in the rollout.
        rollout_total_replicas:
          anyOf:
            - type: integer
            - type: 'null'
          title: Rollout Total Replicas
          description: Total number of replicas in the deployment.
        rollout_error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollout Error Message
          description: Error message from the rollout, if any.
      additionalProperties: false
      type: object
      required:
        - id
        - model
        - created
        - state
      title: DeployedModel
    DeploymentRolloutStatus:
      type: string
      enum:
        - not_started
        - in_progress
        - rolling_back
        - rolled_back
        - done
        - error
        - cancelled
      title: DeploymentRolloutStatus
      description: Deployment rollout states for database storage.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Management API key generated from the `Management API keys` section on
        the `API keys` page at https://cloud.cerebras.ai. Use the format:
        `Bearer <MANAGEMENT_API_KEY>`

````